:PROPERTIES:
:ID:       086ca3ca-39ec-4d37-b56d-b6d9f51e6873
:END:
#+title: how-to-solve-leetcode
#+filetags: :leetcode:notes:

* Process:

- Read the problem twice to understand it

- Try think basically of different ways to solve the problem

- Think end-to-end (e2e) of the best solutions based on complexity

- Write the algorithm from patterns in drawing

- Code it out

- Try and improve it once you think you're finished

- Go through other solutions
